> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluechat.lat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get messages from a conversation

> Returns all messages from a specific conversation



## OpenAPI

````yaml /api-reference/openapi.json get /accounts/{account_id}/conversations/{conversation_id}/messages
openapi: 3.0.4
info:
  title: Bluechat
  description: This is the API documentation for Bluechat server.
  version: 1.1.0
  termsOfService: https://bluechat.lat/terminos-y-condiciones/
  contact:
    email: soporte@bluechat.lat
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.bluechat.lat/
security: []
tags:
  - name: Accounts
    description: Account management APIs
  - name: Account Users
    description: Account user management APIs
  - name: AgentBots
    description: Bot integrations
  - name: Users
    description: User management APIs
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
  - name: CSAT Survey Page
    description: Customer satisfaction survey
paths:
  /accounts/{account_id}/conversations/{conversation_id}/messages:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - name: conversation_id
        in: path
        description: ID of the conversation
        required: true
        schema:
          type: number
    get:
      tags:
        - Conversation
      summary: Get messages from a conversation
      description: Returns all messages from a specific conversation
      operationId: getConversationMessages
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conversation_messages'
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    conversation_messages:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/conversation_meta'
        payload:
          type: array
          items:
            $ref: '#/components/schemas/message_detailed'
          description: List of messages in the conversation
    conversation_meta:
      type: object
      properties:
        labels:
          type: array
          items:
            type: string
          description: Labels associated with the conversation
        additional_attributes:
          type: object
          properties:
            browser:
              type: object
              properties:
                device_name:
                  type: string
                  description: Name of the device
                browser_name:
                  type: string
                  description: Name of the browser
                platform_name:
                  type: string
                  description: Name of the platform
                browser_version:
                  type: string
                  description: Version of the browser
                platform_version:
                  type: string
                  description: Version of the platform
            referer:
              type: string
              description: Referrer URL
            initiated_at:
              type: object
              properties:
                timestamp:
                  type: string
                  description: Timestamp when the conversation was initiated
            browser_language:
              type: string
              description: Browser language setting
            conversation_language:
              type: string
              description: Conversation language
          description: Additional attributes of the conversation
        contact:
          $ref: '#/components/schemas/contact_detail'
        agent_last_seen_at:
          type: string
          description: Timestamp when the agent last saw the conversation
          nullable: true
        assignee_last_seen_at:
          type: string
          description: Timestamp when the assignee last saw the conversation
          nullable: true
    message_detailed:
      type: object
      properties:
        id:
          type: number
          description: The ID of the message
        content:
          type: string
          description: The text content of the message
        inbox_id:
          type: number
          description: The ID of the inbox
        conversation_id:
          type: number
          description: The ID of the conversation
        message_type:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
          description: >-
            The type of the message (0: incoming, 1: outgoing, 2: activity, 3:
            template)
        content_type:
          type: string
          enum:
            - text
            - input_select
            - cards
            - form
            - input_csat
          description: The type of the message content
        status:
          type: string
          enum:
            - sent
            - delivered
            - read
            - failed
          description: The status of the message
        content_attributes:
          type: object
          description: The content attributes for each content_type
          properties:
            in_reply_to:
              type: string
              description: ID of the message this is replying to
              nullable: true
        created_at:
          type: integer
          description: The timestamp when message was created
        private:
          type: boolean
          description: The flag which shows whether the message is private or not
        source_id:
          type: string
          description: The source ID of the message
          nullable: true
        sender:
          $ref: '#/components/schemas/contact_detail'
    contact_detail:
      type: object
      properties:
        additional_attributes:
          type: object
          description: The object containing additional attributes related to the contact
          properties:
            city:
              type: string
              description: City of the contact
            country:
              type: string
              description: Country of the contact
            country_code:
              type: string
              description: Country code of the contact
            created_at_ip:
              type: string
              description: IP address when the contact was created
        custom_attributes:
          type: object
          description: The custom attributes of the contact
        email:
          type: string
          description: The email address of the contact
        id:
          type: integer
          description: The ID of the contact
        identifier:
          type: string
          description: The identifier of the contact
          nullable: true
        name:
          type: string
          description: The name of the contact
        phone_number:
          type: string
          description: The phone number of the contact
          nullable: true
        thumbnail:
          type: string
          description: The thumbnail of the contact
        blocked:
          type: boolean
          description: Whether the contact is blocked
        type:
          type: string
          description: The type of entity
          enum:
            - contact

````